<?php
/*
Plugin Name: Auto Copyright
Plugin URI: http://thisismyurl.com/plugins/autocopyright
Description: Automates the copyright notice for web sites.
Author: Christopher Ross
Author URI: http://thisismyurl.com
Version: 0.2.1
*/

/*  Copyright 2008  Christopher Ross  (email : info@thisismyurl.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/



function autocopyright() {
	global $wpdb;
	$posts = $wpdb->get_results("SELECT YEAR(post_date_gmt) AS year FROM $wpdb->posts WHERE post_date_gmt > 1970 ORDER BY post_date_gmt ASC");
	$last = $posts[count($posts)-1]->year;
	$first = $posts[0]->year;
	
	$c = __('Copyright (&copy;) ', 'inove') . $first;
	if($first != $last) {
		$c .= '-'. $last;
	}
	return $c;
}

?>